Debian Bug report logs - #448210
Fails to create chroot

version graph

Package: cdebootstrap; Maintainer for cdebootstrap is Bastian Blank <waldi@debian.org>; Source for cdebootstrap is src:cdebootstrap.

Reported by: Matt Kraai <kraai@ftbfs.org>

Date: Sat, 27 Oct 2007 02:15:01 UTC

Severity: normal

Tags: patch

Merged with 448348

Found in version cdebootstrap/0.4.3

Fixed in version cdebootstrap/0.4.4

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#448210; Package cdebootstrap. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: submit@bugs.debian.org
Subject: Fails to create chroot
Date: Fri, 26 Oct 2007 11:17:41 -0700
[Message part 1 (text/plain, inline)]
Package: cdebootstrap
Version: 0.4.3
Tags: patch

When I run

 cdebootstrap --variant=buildd --debug sid . http://ftp.us.debian.org/debian

it fails with the following error messages:

> D: Execute "apt-get install --yes -o APT::Get::AllowUnauthenticated=true linux-libc-dev libc6-dev cpp-4.2 cpp binutils libgomp1 gcc-4.2 gcc g++-4.2 libstdc++6-4.2-dev g++ make libgdbm3 perl perl-modules cpio patch dpkg-dev build-essential fakeroot" in chroot
> O: Reading package lists...
> O: 
> O: Building dependency tree...
> O: 
> O: The following extra packages will be installed:
> O:   bzip2 perl-doc
> O: Suggested packages:
> O:   binutils-doc cpp-doc gcc-4.2-locales debian-keyring g++-multilib
> O:   g++-4.2-multilib gcc-4.2-doc libstdc++6-4.2-dbg gcc-multilib manpages-dev
> O:   autoconf automake1.9 libtool flex bison gdb gcc-doc gcc-4.2-multilib
> O:   libmudflap0-4.2-dev libgcc1-dbg libgomp1-dbg libmudflap0-4.2-dbg glibc-doc
> O:   libstdc++6-4.2-doc make-doc ed diff-doc libterm-readline-gnu-perl
> O:   libterm-readline-perl-perl man-browser groff
> O: The following NEW packages will be installed:
> O:   binutils build-essential bzip2 cpio cpp cpp-4.2 dpkg-dev fakeroot g++
> O:   g++-4.2 gcc gcc-4.2 libc6-dev libgdbm3 libgomp1 libstdc++6-4.2-dev
> O:   linux-libc-dev make patch perl perl-doc perl-modules
> O: 0 upgraded, 22 newly installed, 0 to remove and 0 not upgraded.
> O: Need to get 28.1MB of archives.
> O: After unpacking 87.1MB of additional disk space will be used.
> O: WARNING: The following packages cannot be authenticated!
> O:   cpio libgdbm3 patch perl-modules perl binutils linux-libc-dev libc6-dev
> O:   cpp-4.2 cpp libgomp1 gcc-4.2 gcc libstdc++6-4.2-dev g++-4.2 g++ make
> O:   dpkg-dev build-essential bzip2 fakeroot perl-doc
> O: Authentication warning overridden.
> O: Err bootstrap: ./main bzip2 1.0.3-7
> O:   
> O: Err bootstrap: ./main perl-doc 5.8.8-11.1
> O:   
> O: Failed to fetch bootstrap:/pool/main/c/cpio/cpio_2.9-4_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gdbm/libgdbm3_1.8.3-3_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/p/patch/patch_2.5.9-4_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/p/perl/perl-modules_5.8.8-11.1_all.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/p/perl/perl_5.8.8-11.1_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/b/binutils/binutils_2.18-1_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/l/linux-2.6/linux-libc-dev_2.6.22-5_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/glibc/libc6-dev_2.6.1-6_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gcc-4.2/cpp-4.2_4.2.2-3_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gcc-defaults/cpp_4.2.1-6_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gcc-4.2/libgomp1_4.2.2-3_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gcc-4.2/gcc-4.2_4.2.2-3_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gcc-defaults/gcc_4.2.1-6_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gcc-4.2/libstdc++6-4.2-dev_4.2.2-3_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gcc-4.2/g++-4.2_4.2.2-3_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/g/gcc-defaults/g++_4.2.1-6_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/m/make-dfsg/make_3.81-3_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/d/dpkg/dpkg-dev_1.14.7_all.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/b/build-essential/build-essential_11.3_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/b/bzip2/bzip2_1.0.3-7_i386.deb  
> O: Failed to fetch bootstrap:/pool/main/f/fakeroot/fakeroot_1.8.2_i386.deb  Hash Sum mismatch
> O: Failed to fetch bootstrap:/pool/main/p/perl/perl-doc_5.8.8-11.1_all.deb  
> O: E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
> D: Return code: 25600
> E: Couldn't install system due to errors!

The first two errors

> O: Err bootstrap: ./main bzip2 1.0.3-7
> O:   
> O: Err bootstrap: ./main perl-doc 5.8.8-11.1

occur because apt-get tries to install these packages even though
cdebootstrap hasn't downloaded them.  apt-get tries to download them
because they're recommended by dpkg-dev and perl, respectively.
cdebootstrap doesn't download them because they're not depended on.
The attached patch fixes this problem by passing

 -o APT::Install-Recommends=false

to apt-get.

The rest of the problems occur because the bootstrap method doesn't
output headers containing the MD5, SHA1, and SHA256 message digests.
The attached patch fixes these problems by making it output these
headers.

-- 
Matt
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#448210; Package cdebootstrap. Full text and rfc822 format available.

Acknowledgement sent to Jack Bates <ms419@freezone.co.uk>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #10 received at 448210@bugs.debian.org (full text, mbox):

From: Jack Bates <ms419@freezone.co.uk>
To: 448210@bugs.debian.org
Subject: confirmed
Date: Mon, 12 Nov 2007 18:38:18 -0800
[Message part 1 (text/plain, inline)]
Thanks for your patch Matt, I had the same problem and your patch fixed
it. Jack
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#448210; Package cdebootstrap. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #15 received at 448210@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 448210@bugs.debian.org
Subject: How to help?
Date: Wed, 28 Nov 2007 07:27:25 -0800
Howdy,

Is there anything further I can do help fix this bug?

-- 
Matt




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#448210; Package cdebootstrap. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 448210@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Matt Kraai <kraai@ftbfs.org>, 448210@bugs.debian.org
Subject: Re: Bug#448210: How to help?
Date: Wed, 28 Nov 2007 19:18:12 +0100
block 448210 448665
thanks

On Wed, Nov 28, 2007 at 07:27:25AM -0800, Matt Kraai wrote:
> Is there anything further I can do help fix this bug?

The corresponding apt bug is #448665. HAd no time to handle that yet.

Bastian

-- 
	"Life and death are seldom logical."
	"But attaining a desired goal always is."
		-- McCoy and Spock, "The Galileo Seven", stardate 2821.7




Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#448210; Package cdebootstrap. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #25 received at 448210@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: Bastian Blank <waldi@debian.org>
Cc: 448210@bugs.debian.org
Subject: Re: Bug#448210: How to help?
Date: Wed, 28 Nov 2007 10:30:36 -0800
On Wed, Nov 28, 2007 at 07:18:12PM +0100, Bastian Blank wrote:
> On Wed, Nov 28, 2007 at 07:27:25AM -0800, Matt Kraai wrote:
> > Is there anything further I can do help fix this bug?
> 
> The corresponding apt bug is #448665. HAd no time to handle that yet.

Thanks for the information.  I'll see about getting 448665 resolved.

-- 
Matt




Blocking bugs of 448210 added: 448665 Request was from Matt Kraai <kraai@ftbfs.org> to control@bugs.debian.org. (Thu, 29 Nov 2007 03:30:04 GMT) Full text and rfc822 format available.

Blocking bugs of 457093 added: 448210 Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. (Wed, 26 Dec 2007 00:09:03 GMT) Full text and rfc822 format available.

Forcibly Merged 448210 448348. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 16:54:07 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Kraai <kraai@ftbfs.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 448210-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 448210-close@bugs.debian.org
Subject: Bug#448210: fixed in cdebootstrap 0.4.4
Date: Sun, 13 Jan 2008 17:02:02 +0000
Source: cdebootstrap
Source-Version: 0.4.4

We believe that the bug you reported is fixed in the latest version of
cdebootstrap, which is due to be installed in the Debian FTP archive:

cdebootstrap-static_0.4.4_amd64.deb
  to pool/main/c/cdebootstrap/cdebootstrap-static_0.4.4_amd64.deb
cdebootstrap-udeb_0.4.4_amd64.udeb
  to pool/main/c/cdebootstrap/cdebootstrap-udeb_0.4.4_amd64.udeb
cdebootstrap_0.4.4.dsc
  to pool/main/c/cdebootstrap/cdebootstrap_0.4.4.dsc
cdebootstrap_0.4.4.tar.gz
  to pool/main/c/cdebootstrap/cdebootstrap_0.4.4.tar.gz
cdebootstrap_0.4.4_amd64.deb
  to pool/main/c/cdebootstrap/cdebootstrap_0.4.4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448210@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated cdebootstrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 16:52:44 +0000
Source: cdebootstrap
Binary: cdebootstrap cdebootstrap-udeb cdebootstrap-static
Architecture: source amd64
Version: 0.4.4
Distribution: unstable
Urgency: low
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 cdebootstrap - Bootstrap a Debian system
 cdebootstrap-static - Bootstrap a Debian system - static binary
 cdebootstrap-udeb - Bootstrap a Debian system - udeb
 cdebootstrap-udeb - Bootstrap a Debian system - udeb (udeb)
Closes: 448210
Changes: 
 cdebootstrap (0.4.4) unstable; urgency=low
 .
   * Use policy-rc.d instead of diverting start-stop-daemon.
   * Ask apt not to install recommended packages.
   * Provide sha256 checksum in apt helper. (closes: #448210)
Files: 
 60d0d41c3e3a639cdc0cdb97c0647e62 637 admin optional cdebootstrap_0.4.4.dsc
 3e041e244d19f9095d8ea8e133f795f7 134280 admin optional cdebootstrap_0.4.4.tar.gz
 a84a61798938d6e9d03e2cc0aacf3397 30018 admin optional cdebootstrap_0.4.4_amd64.deb
 6ab6aee282c9c71a55f31faefc889891 588356 admin optional cdebootstrap-static_0.4.4_amd64.deb
 f8ec8b7116856767a68baa043feb70bf 21586 debian-installer optional cdebootstrap-udeb_0.4.4_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkeKQrIACgkQxWtQqFixGB5IkgCgoTbKLD43CZCxQzRn1vX20fTr
Q0cAoJgS4Dp2zWBoH5/fkA7tzOQBSpB/
=XfP4
-----END PGP SIGNATURE-----





Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alexander Gerasiov <gq@cs.msu.su>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Feb 2008 07:27:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:45:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.